Name:           perl-Devel-GoFaster
Version:        0.001
Release:        1%{?dist}
Summary:        Optimise executable Perl ops
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Devel-GoFaster/
Source0:        http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/Devel-GoFaster-%{version}.tar.gz
# Build
BuildRequires:  findutils
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
# XXX: BuildRequires:  perl(Carp)
BuildRequires:  perl(Lexical::SealRequireHints) >= 0.008
BuildRequires:  perl(XSLoader)
# Tests only
BuildRequires:  perl(Test::More)
# Optional tests only
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Carp)
Requires:       perl(XSLoader)

%description
This module implements some optimisations in compiled Perl code, which
should make it run slightly faster without visibly affecting behaviour. The
optimisations are applied at the peephole optimisation step, augmenting
Perl's built-in optimisations.

%prep
%setup -q -n Devel-GoFaster-%{version}

%build
perl Build.PL --installdirs=vendor --optimize="%{optflags}"
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Devel*
%{_mandir}/man3/*

%changelog
* Mon Jul 31 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.001-1
- 0.001 bump

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.000-3
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.000-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Aug 28 2015 Petr Šabata <contyk@redhat.com> 0.000-1
- Initial packaging
